import time
from datetime import datetime
from fastapi import FastAPI
from fastapi.staticfiles import StaticFiles




app = FastAPI()
start_time = time.time()

@app.get("/api/")
async def ping():
    return {
        "status": "ok",
        "timestamp": datetime.now().isoformat(),
        "uptime_seconds": round(time.time() - start_time, 2),
    }


# Mount static files
app.mount("/", StaticFiles(directory="website", html=True), name="static")
